Bug 1325864 - [RFE][HC] Cockpit plugin for gdeploy
Summary: [RFE][HC] Cockpit plugin for gdeploy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: UI
Version: master
Hardware: Unspecified
OS: Linux
high
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2 1417046
TreeView+ depends on / blocked
 
Reported: 2016-04-11 11:36 UTC by Sahina Bose
Modified: 2017-02-15 14:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update adds support for deploying gluster storage during the self-hosted engine deployment through the Cockpit UI. Previously the user needed to first deploy the gluster storage using gdeploy, then deploy the self-hosted engine using the Cockpit UI, and configuration files had to be manually updated.
Clone Of:
Environment:
Last Closed: 2017-02-15 14:50:06 UTC
oVirt Team: Gluster
sabose: ovirt-4.1?
sabose: exception?
rule-engine: planning_ack?
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 67585 master MERGED gdeploy: add gdeploy wizard for cockpit-ovirt 2016-12-22 05:27:02 UTC
oVirt gerrit 68943 ovirt-4.1 MERGED gdeploy: add gdeploy wizard for cockpit-ovirt 2016-12-22 05:30:00 UTC

Description Sahina Bose 2016-04-11 11:36:17 UTC
Description of problem:
In the Hyperconverged use case where RHEV hypervisor and gluster are running on the same node, it should be possible to automate the installation of hosted engine via gdeploy.

Hosted engine unattended install is run via below command:
 hosted-engine --deploy --config-append=<path to answers file>

Version-Release number of selected component (if applicable):
3.1

How reproducible:
NA

Comment 1 Sachidananda Urs 2016-06-23 07:31:36 UTC
With the new design; hosted engine installation will be done using cockpit.
This bug can be closed once the decision is finalized.

Comment 2 Sahina Bose 2016-07-21 11:52:51 UTC
Provide a way to deploy the 3 node HC setup including the hosted engine setup via the Cockpit UI.

Comment 3 Sahina Bose 2016-09-27 11:29:57 UTC
Moving to oVirt

Comment 4 Yaniv Lavi 2016-12-14 16:21:50 UTC
This bug had requires_doc_text flag, yet no documentation text was provided. Please add the documentation text and only then set this flag.

Comment 5 Ying Cui 2017-01-12 09:20:01 UTC
Hello Satheesaran, as QA contact is you, and this RFE is related to glusterfs and gdeploy, so could you handle and verify this RFE bug following RHV 4.1 schedule? Thanks.

Comment 6 SATHEESARAN 2017-01-12 10:08:52 UTC
(In reply to Ying Cui from comment #5)
> Hello Satheesaran, as QA contact is you, and this RFE is related to
> glusterfs and gdeploy, so could you handle and verify this RFE bug following
> RHV 4.1 schedule? Thanks.

Yes.

Comment 7 SATHEESARAN 2017-02-09 03:15:26 UTC
cockpit-ovirt-dashboard rpm available in RHVH NG node and also for RHEL 7 hypervisors, aids in deployment of hyperconverged setup.

But there are more bugs to be addressed with cockpit plugin for gdeploy, which are tracked through separate BZs.

Marking this bug as VERIFIED


Note You need to log in before you can comment on or make changes to this bug.